// Copyright (c) 2008
// verso 1.0 desenvolvido por Sidnei Cruz
// (sob orientao de Doutor Pedro Quaresma)

#include "alfabeto.h"

// funo que converte ISO 8859-1 para o Alfabeto-A

/* -> parmetro de entrada:um inteiro
   <- parmetro de sada:um inteiro
*/  
int entradaParaAlfabeto(int n){
  if(n >= 97 && n <= 122) //[a-z]
    return n - 97;
  else if (n >= 224 && n <= 227) //[   ] 
    return n - 224 + 26;
  else if (n >= 231 && n <= 234)  //[   ]
    return n - 231 + 30;
  else if (n >= 236 && n <= 237)  //[ ]
    return n - 236 + 34;
  else if (n >= 242 && n <= 245)  //[   ]
    return n - 242 + 36;
  else if (n >= 249 && n <= 250) //[ ] 
    return n - 249 + 40;
  else if (n == 252)  //[]
    return n - 252 + 42;
  else
    return  NAOALFA;
}

// funo que converte do Alfabeto para ISO 8859-1

/* -> parmetro de entrada:um inteiro
   <- parmetro de sada:um inteiro
*/ 
int alfabetoParaSaida(int n){
  if(n >= 0 && n <= 25) //[a-z]
    return n + 97;
  else if (n >=26 && n <= 29) //[   ]
    return n + 224 - 26;
  else if (n >= 30 && n <= 33) //[   ]
    return n + 231 - 30;
  else if (n >= 34 && n <= 35) //[ ]
    return n + 236 - 34;
  else if (n >= 36 && n <=39) //[   ]
    return n + 242 - 36;
  else if (n >= 40 && n <= 41) //[ ]
    return n + 249 - 40;
  else if (n == 42) //[]
    return n + 252 - 42;
}
