// Copyright (c) 2008
// versão 1.0 desenvolvido por Sidnei Cruz
// (sob orientação de Doutor Pedro Quaresma)

#include <stdio.h>
#include <string.h> // permite a utilização de funcoes que manipulam strings 
#include <stdlib.h> // biblioteca para funcao exit
#include "cifraDS.h"


int main(int argc, char *argv[]){
  
  //fl -> o ficheiro de entrada(leitura) 
  //fe -> o ficheiro de saida(escrita) 
  
  FILE *fl,*fe;
  
  
  //verificar o número de argumento
  if(argc!=4){
    printf("\nUtilização: encriptarDS nome_ficheiro_entrada chave nome_ficheiro_saida\n\n");
    exit(1);
  }
  
  //Declaração das variáveis
  char *mensnormal, *menscifrada;
  int ch;
  int caracter;
  int resultado;
  int chave;
  
  
  //cópia do ficheiro de entrada
  mensnormal = argv[1];
  
  
  //funcao atoi recebe uma string e devolve o inteiro que nela esta representado
  chave=atoi(argv[2]);
  
  //cópia do ficheiro de saida
  menscifrada = argv[3];
  
  
  //abrir o ficheiro para a leitura
  fl = fopen(mensnormal,"r");
  
  //verificar se o ficheiro foi aberto ou nao
  //caso contrario o programa termina
  if(fl==NULL){
    printf("Impossivel abrir o ficheiro %s\n",argv[1]);
    exit(2);
  }
  
  //Abrir o ficheiro para escrever a mensagem cifrada
  if((fe = fopen(menscifrada,"w"))==NULL){
    printf("Impossivel criar o ficheiro %s\n",menscifrada);
    exit(3);
  }
  
  //Aplicar a Cifra de Deslocamento Simples
  while((ch=fgetc(fl))!=EOF){
    resultado=encriptarDS(ch,chave);
    fprintf(fe,"%c",resultado);
  }
  
  
  //Fechar os ficheiros
  fclose(fl);
  fclose(fe);
  
  exit(0);
  
}
