// Copyright (c) 2008
// versão 1.0 desenvolvido por Sidnei Cruz
// (sob orientação de Doutor Pedro Quaresma)

#include <stdio.h>
#include <string.h> // permite a utilização de funções que manipulam strings 
#include <stdlib.h> // biblioteca para funcao exit
#include "cifraDS.h"
#include "alfabeto.h"



int main(int argc, char *argv[]){
  
  //fl -> o ficheiro de entrada(leitura) 
  
  FILE *fl;
  
  
  //verificar o número de argumento
  if(argc!=2){
    printf("\nUtilização: testeCodificacao nome_ficheiro_entrada\n\n");
    exit(1);
  }
  
  //Declaração das variáveis
  char *mensnormal, *menscifrada;
  int ch;
  int caracter;
  int aux;
  
  
  //cópia do ficheiro de entrada
  mensnormal = argv[1];
  
  
  //abrir o ficheiro para a leitura
  fl = fopen(mensnormal,"r");
  
  //verificar se o ficheiro foi aberto ou nao
  //caso contrario o programa termina
  if(fl==NULL){
    printf("Impossivel abrir o ficheiro %s\n",argv[1]);
    exit(2);
  }
  
  // Verificar o ficheiro em termos da sua codificação
  aux=0;
  while((ch=fgetc(fl))!=EOF){
    //resultado=encriptarDS(ch,chave);
    if (aux%10==0) printf("\n");
    aux++;
    printf("%d-%c\t",ch,ch);
  }
  
  printf("\n\n");
  //Fechar os ficheiros
  fclose(fl);
  
  exit(0);
  
}
